package formeGeometriche;

public class Triangolo
extends Poligono
{
	//int numLati; Non ridichiarare i campi, c'e' gia', lo eredito.
	double l1, l2, l3;
	//double h1, h2, h3;

	//public Triangolo(double l1, double l2, double l3, double h1, double h2, double h3)
	public Triangolo(double l1, double l2, double l3)
	{
		numLati = 3;
		if(l1 > (l2+l3) || l2>(l1+l3) || l3>(l1+l2))
		{
			throw new GeometryException("un lato maggiore della somma degli altri due: non c'e' triangolo che tenga...");
		}
		this.l1 = l1;
		this.l2 = l2;
		this.l3 = l3;
		//speriamo che siano corrette
	}

	public double area()
	{
		double semiP = (l1+l2+l3)/2;
		return Math.sqrt( (semiP-l1)*(semiP-l2)*(semiP-l3)*semiP);
	}

	public double perimetro()
	{
		return l1+l2+l3;
	}

	public double altezza1()
	{
		return (area()*2)/l1;
	}

	public String toString()
	{
		return super.toString() + " ovvero sono un triangolo";
	}

	public static void main(String[] argv)
	{
		Triangolo t = new Triangolo(Double.parseDouble(argv[0]), Double.parseDouble(argv[1]), Double.parseDouble(argv[2]));

		System.out.println(t);
		System.out.println("Perimetro: " + t.perimetro());
		System.out.println("Area: " + t.area());
		System.out.println(t.numLati);
		System.out.println("Altezza 1: " + t.altezza1());

		Poligono p = t;
		System.out.println(p);
		System.out.println("Perimetro: " + p.perimetro());
		System.out.println("Area: " + p.area());
		System.out.println(p.numLati);
		System.out.println("Altezza 1: " + ((Triangolo)p).altezza1());

		System.out.println("Pippo <" + (new Pippo().toString()) + ">");
		System.out.println("Pippo <" + (new Pippo().toString()) + ">");
	}

	protected Object clone()
	{
		//return this;
		return new Triangolo(l1, l2, l3);
	}
}
