package neve;

import java.io.*;
import java.util.*;

public class MainClass2
{
	public static void main(String[] argv) throws NeveException
	{
		int M = Integer.parseInt(argv[0]);
		int N = Integer.parseInt(argv[1]);

		double[][][] tabella = new double[M][N][31];

		try
		{
			BufferedReader br = new BufferedReader(new FileReader(argv[2]));
			String line = null;
			while( (line = br.readLine()) != null)
			{
				Scanner sc = new Scanner(line);
				sc.useDelimiter(", ");
				int x = sc.nextInt();
				int y = sc.nextInt();
				int giorno = sc.nextInt();
				double spessore = sc.nextDouble();

				tabella[x][y][giorno] = spessore;

				System.out.println("x: " + x + "; y: " + y + "; giorno: " + giorno + "; spessore: " + spessore);
			}
			br.close();
		}
		catch(FileNotFoundException fnfe)
		{
			fnfe.printStackTrace();
			NeveException ne = new NeveException("Poffarbacco, non so che fare");
			ne.initCause(fnfe);
			throw ne;
			//System.exit(1);
		}
		catch(IOException ioe)
		{
			ioe.printStackTrace();
			System.exit(1);
		}

		System.out.println("Ho finito la lettura del file");
	}
}
